[CRIU] Re: [PATCH 01/10] app-test: java -- Use -j option
Cyrill Gorcunov
gorcunov at openvz.org
Fri Oct 26 16:56:03 EDT 2012
On Sat, Oct 27, 2012 at 12:30:57AM +0400, Pavel Emelyanov wrote:
> On 10/26/2012 11:57 PM, Cyrill Gorcunov wrote:
> >
> > Since we support tty migration, use it here,
> > otherwise it'll fail.
> >
> > Signed-off-by: Cyrill Gorcunov <gorcunov at openvz.org>
> > ---
> > test/app-emu/java/HelloWorld/run.sh | 4 ++--
> > 1 files changed, 2 insertions(+), 2 deletions(-)
>
> In scripts long options should be used.
So I wouldn't forget.
-------------- next part --------------
>From 3fac764ed32ee2dc563dc430a2950a8d4e1667a5 Mon Sep 17 00:00:00 2001
From: Cyrill Gorcunov <gorcunov at openvz.org>
Date: Fri, 26 Oct 2012 01:59:22 +0400
Subject: [PATCH] app-test: java -- Use --shell-job option
Since we support tty migration, use it here,
otherwise it'll fail.
Signed-off-by: Cyrill Gorcunov <gorcunov at openvz.org>
---
test/app-emu/java/HelloWorld/run.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/test/app-emu/java/HelloWorld/run.sh b/test/app-emu/java/HelloWorld/run.sh
index 207438f..f7c9bef 100644
--- a/test/app-emu/java/HelloWorld/run.sh
+++ b/test/app-emu/java/HelloWorld/run.sh
@@ -19,14 +19,14 @@ pid=${!}
echo Lanuched java application with pid $pid in background
-${crtools} dump -D dump -o dump.log -v 4 -t ${pid} || {
+${crtools} dump -D dump -o dump.log -v 4 --shell-job -t ${pid} || {
echo "Dump failed"
exit 1
}
echo "Dumped, restoring and waiting for completion"
-${crtools} restore -D dump -o restore.log -v 4 -t ${pid} || {
+${crtools} restore -D dump -o restore.log -v 4 --shell-job -t ${pid} || {
echo "Restore failed"
exit 1
}
--
1.7.7.6
More information about the CRIU
mailing list